import * as $dara from '@darabonba/typescript';
export declare class DescribeForwardTableEntriesResponseBodyForwardTableEntriesForwardTableEntry extends $dara.Model {
    externalIp?: string;
    externalPort?: string;
    forwardEntryId?: string;
    forwardEntryName?: string;
    forwardTableId?: string;
    internalIp?: string;
    internalPort?: string;
    ipProtocol?: string;
    natGatewayId?: string;
    status?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeForwardTableEntriesResponseBodyForwardTableEntries extends $dara.Model {
    forwardTableEntry?: DescribeForwardTableEntriesResponseBodyForwardTableEntriesForwardTableEntry[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeForwardTableEntriesResponseBody extends $dara.Model {
    forwardTableEntries?: DescribeForwardTableEntriesResponseBodyForwardTableEntries;
    /**
     * @remarks
     * The page number.
     *
     * @example
     * 1
     */
    pageNumber?: number;
    /**
     * @remarks
     * The number of entries per page.
     *
     * @example
     * 10
     */
    pageSize?: number;
    /**
     * @remarks
     * The request ID.
     *
     * @example
     * A6C4A8B1-7561-4509-949C-20DEB40D71E6
     */
    requestId?: string;
    /**
     * @remarks
     * The number of entries returned.
     *
     * @example
     * 5
     */
    totalCount?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
